petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoCancelMonitors

Clears all the monitor functions for a Tao object.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoCancelMonitors(Tao tao)

Logically Collective on Tao Many br

### Input Parameters

tao -the Tao solver context Many br

### Options Database

-tao_cancelmonitors -cancels all monitors that have been hardwired Many brinto a code by calls to TaoSetMonitor(), but does not cancel those Many brset via the options database Many br

### Notes

There is no way to clear one specific monitor from a Tao object. Many br

Many br

### See Also

TaoDefaultMonitor(), TaoSetMonitor()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages